---
title: RTCInboundRtpStreamStats.sliCount
slug: Web/API/RTCInboundRtpStreamStats/sliCount
tags:
  - API
  - Corruption
  - Errors
  - Property
  - RTCInboundRtpStreamStats
  - RTP
  - Reference
  - SLI
  - Slice Loss
  - Statistics
  - Stats
  - Video
  - WebRTC
  - WebRTC API
  - sliCount
  - stream
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The <strong><code>sliCount</code></strong> property of the {{domxref("RTCInboundRtpStreamStats")}} dictionary indicates how many <strong>Slice Loss Indication</strong> (<strong>SLI</strong>) packets the {{domxref("RTCRtpReceiver")}} for which this object provdes statistics sent to the remote {{domxref("RTCRtpSender")}}.</span> An SLI packet is used by a decoder to let the encoder know that it's detected corruption of one or more consecutive macroblocks (in scan order) in the received media.</p>

<p>In general, what's usually of interest is that the higher this number is, the more the stream data is becoming corrupted between the sender and the receiver, requiring resends or dropping frames.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>sliCount</em> = <em>rtcInboundRtpStreamStats</em>.sliCount;</pre>

<h3 id="Value">Value</h3>

<p>An unsigned integer indicating the number of SLI packets this receiver sent to the remote sender due to lost runs of macroblocks. A high value of <code>sliCount</code> may be an indication of an unreliable network.</p>

<p>This is a very technical part of how video codecs work. For details, see {{RFC(4585, "6.3.2")}}.</p>

<div class="note">
<p><strong>Note:</strong> This value is only present for video media.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-slicount', 'RTCInboundRtpStreamStats.sliCount')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCInboundRtpStreamStats.sliCount")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{RFC(4585, "6.3.2")}}: Definition of "Slice Loss Indication" in the document <em>Extended RTP Profile for Real-time Transport Control Protocol (RTCP)-Based Feedback (RTP/AVPF)</em>.</li>
</ul>
